/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pat2021;

/**
 *The Student class creates Student objects and accesses those objects' fields
 * @author bee.ntsimane
 */

public class Student {
    private int userID;
    private String username;
    private String email;
    private String password;
    private String matricYear;
    
    private DBClass db = new DBClass();
  
    /**
     *The constructor method that creates the Student object
     * @param uId - The student's unique ID
     * @param uName - The student's unique username
     * @param pswd - the student's password
     * @param matric - the year of matriculation of the student
     * @param mail - the unique email address of the student
     */
    public Student(int uId, String uName,  String pswd, String matric, String mail ) {
    
        this.userID = uId;
        this.username = uName;
      
        this.password = pswd;
        this.matricYear = matric;
        this.email = mail;
    
}
    
    /**
     * @return the student's userID 
     */
    public int getUserID() {
        return userID;
    }

    /**used to set the UserID of the student 
     * 
     * @param userID - the userID of the student to be set
     */
    public void setUserID(int userID) {
        this.userID = userID;
    }

    /**
     * @return the student's username 
     */
    public String getUsername() {
        return username;
    }

    /**used to set the username of the student
     * @param username - the username of the student to be set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the student's email address
     */
    public String getEmail() {
        return email;
    }

    /**used to set the email address of the student
     * @param email - the email address of the student to be set
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     *
     * @return the student's password
     */
    public String getPassword()
    {
        return password;
    }
    
    /** used to set the password of the student
     *
     * @param password - the password of the student to be set
     */
    public void setPassword(String password)
    {
       this.password = password; 
    }
    
    /**
     *
     * @return the student's matriculation year
     */
    public String getMatricYear()
    {
        return matricYear;
    }
}
    

